<?php

namespace App\Classes\General\Eloquent\Filters;

use Illuminate\Database\Eloquent\Builder;

class StatementTransactionOwnerTypeIn implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return Builder|mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereHas('owners', function ($query) use ($value) {
            return $query->whereIn('type', $value);
        });
    }

}
